Subject: Re: (allocating non-cachable memory) (or More on the i82596)

From: Dan Malek <[email-masked]>
Date: Sun, 01 Jul 2001 01:17:00 -0400

"Justin (Gus) Hurwitz" wrote:

> I think that I've hunted down all of the dcbz instructions, but I should
> go and check align.c.

There is no reason to do this.  The behavior of these instruction on the
603e aren't any different than other processors.  If you know you are
operating on I/O space, use the memset_io/memcpy_fromio()/memcpy_toio()
and not the usual memory copy/set functions.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/